Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => 'admin'], function () {
    Route::get('/', 'HomeController@index');

    Route::group(['namespace' => 'AdminAuth'], function () {
        Route::get('/login', 'LoginController@showLoginForm')->name('login');
        Route::post('/login', 'LoginController@login');
        Route::any('/logout', 'LoginController@logout')->name('logout');
        // Route::post('/password/email', 'ForgotPasswordController@sendResetLinkEmail')->name('password.request');
        // Route::get('/password/reset', 'ForgotPasswordController@showLinkRequestForm')->name('password.reset');
        // Route::get('/password/reset/{token}', 'ResetPasswordController@showResetForm');
        // Route::post('/password/reset', 'ResetPasswordController@reset')->name('password.email');
    });

    Route::group(['middleware' => ['admin', 'auth:admin']], function () {
        Route::get('/home', 'HomeController@home');
        Route::get('/profile', 'HomeController@profile');
        Route::post('/edit_profile', 'HomeController@edit_profile');
        Route::post('/change_password', 'HomeController@change_password');

        Route::resources(['admins' => 'AdminsController']);
        Route::post('admins/{id}/disable', 'AdminsController@disable');
        Route::get('admins/{id}/transform', 'AdminsController@transform_page');
        Route::post('admins/{id}/transform', 'AdminsController@transform');

        Route::resources(['roles' => 'RolesController']);
        Route::post('roles/{id}/disable', 'RolesController@disable');
        Route::get('roles/{id}/transform', 'RolesController@transform_page');
        Route::post('roles/{id}/transform', 'RolesController@transform');

        // Route::resources(['permissions'=>'PermissionsController']);

        //route insert head ->

        Route::resources(['panel_settings' => 'Panel_settingsController']);
 
    });
});

Entities/Admin.php
<?php

namespace Modules\Admin\Enities;

use App\Notifications\AdminResetPassword;
use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Spatie\Permission\Traits\HasRoles;
use Morilog\Jalali\Jalalian;

class Admin extends Authenticatable
{
    use Notifiable;
    use HasRoles;
    protected $guard_name = 'admin';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'family', 'email', 'password', 'phone', 'avatar_image', 'username', 'disable'
    ];

    const SEARCHABLE = [
        'name', 'family', 'email', 'username', 'phone'
    ];

    const RELATIONS_FOR_CHECK = [
        // EXAMPLE
        //'blogs' => ["relation_name"=>'blogs', "permission_name"=>'blog', "fa_name"=>'مقالات', 'foreign_key'=>'admin_id']
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function getCreatedAtAttribute($value)
    {
        return Jalalian::forge($value)->format('%Y/%m/%d H:i');
    }

    /**
     * Send the password reset notification.
     *
     * @param string $token
     * @return void
     */
    public function sendPasswordResetNotification($token)
    {
        $this->notify(new AdminResetPassword($token));
    }
}

Http/Controllers/RolesController.php
<?php

namespace Modules\Admin\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use Modules\Admin\Enities\Admin;
use Modules\Admin\Http\Requests\RolesRequest;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use App\Helpers\ModelHelper;

class RolesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $this->authorize('role.read');
        $roles = Role::where('name', '!=', 'SuperAdmin')->where('guard_name', 'admin')->latest();
        if ($request->has('search')) {
            $search = $request->search;
            $roles = ModelHelper::search($roles, ['name', 'label'], $search);
        }
        if ($request->has('status_filter') && $request->status_filter != '') {
            $status_filter = $request->status_filter;
            $roles = $roles->where('disable', $status_filter);
        }
        $roles = $roles->paginate(20);

        foreach ($roles as &$role) {
            if (Admin::role($role->name)->count()) {
                $role['has_relation'] = 1;
            }
        }

        $compact = [
            'roles' => $roles,
        ];
        if (isset($status_filter)) {
            $compact['status_filter'] = $status_filter;
        }
        if (isset($search)) {
            $compact['search'] = $search;
        }
        return view('admin::roles.index', $compact);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $this->authorize('role.add');
        $permissions = Permission::select('id', 'name', 'label')->get();
        return view('admin::roles.create', compact('permissions'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(RolesRequest $request)
    {
        $this->authorize('role.add');

        $role = Role::create([
            'name' => $request->name,
            'label' => $request->name,
        ]);
        $permissions = json_decode($request->permissions);
        foreach ($permissions as $permission_id) {
            $permission = Permission::find($permission_id);
            if ($permission) {
                $role->givePermissionTo($permission);
            }
        }

        session()->flash('action_status', json_encode([
            'type' => 'success', 'icon' => "fad fa-plus", 'title' => '', 'message' => 'دسترسی جدید با موفقیت ایجاد شد'
        ]));

        return response(['success' => true]);
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $this->authorize('role.edit');
        $role = Role::findOrFail($id);
        $permissions = Permission::select('id', 'name', 'label')->get();
        $role_permissions = $role->permissions()->select('id')->get();
        return view('admin::roles.edit', ['role' => $role, 'permissions' => $permissions, 'role_permissions' => $role_permissions]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(RolesRequest $request, $id)
    {
        $this->authorize('role.edit');
        $role = Role::findOrFail($id);
        $role->update([
            'name' => $request->name,
            'label' => $request->name,
        ]);
        $role_permissions = $role->permissions()->get();
        foreach ($role_permissions as $permission) {
            $role->revokePermissionTo($permission->name);
        }
        $permissions = json_decode($request->permissions);
        foreach ($permissions as $permission_id) {
            $permission = Permission::find($permission_id);
            if ($permission) {
                $role->givePermissionTo($permission);
            }
        }

        session()->flash('action_status', json_encode([
            'type' => 'info', 'icon' => "fad fa-pen", 'title' => '', 'message' => 'دسترسی با موفقیت ویرایش شد'
        ]));

        return response(['success' => true]);
    }

    /**
     * Show the form for transforming the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function transform_page($id)
    {
        $this->authorize('role.transform');
        $role = Role::findOrFail($id);

        $admins = Admin::role($role->name)->get();
        $roles = Role::select('id', 'name')->where('name', '!=', 'SuperAdmin')->where('id', '!=', $id)->get();
        $role_id = $id;

        return view('admin::roles.transform', compact('admins', 'roles', 'role_id'));
    }

    /**
     * Transform the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function transform(Request $request, $id)
    {
        $this->authorize('role.transform');

        $transforms = json_decode($request->transform_list, true);

        $role = Role::findOrFail($id);
        $admins = Admin::role($role->name)->get();

        foreach ($admins as $admin) {
            $new_role = $transforms[$admin->id];
            $admin->removeRole($role->name);
            $admin->assignRole($new_role);
        }

        $role->delete();

        session()->flash('action_status', json_encode([
            'type' => 'danger', 'icon' => "fad fa-trash", 'title' => '',
            'message' => $role->name . ' با موفقیت حذف شد'
        ]));

        return response()->json(['success' => true]);
    }

    /**
     * Disable the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function disable($id)
    {
        $this->authorize('role.disable');
        $role = Role::findOrFail($id);
        $role->update(['disable' => $role->disable ? 0 : 1]);
        return response(['success' => true, 'state' => $role->disable, 'model' => $role]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $this->authorize('role.delete');

        $role = Role::findOrFail($id);
        $admins = Admin::role($role->name)->get();
        foreach ($admins as $admin) {
            $admin->removeRole($role->name);
        }
        $role_permissions = $role->permissions()->get();
        foreach ($role_permissions as $permission) {
            $role->revokePermissionTo($permission->name);
        }
        $role->delete();

        return response(['success' => true]);
    }
}

Resources/views/roles/index.blade.php
@extends('admin::templates.admin3')

@section('title')
لیست گروه بندی دسترسی ها
@endsection

@section('css')
<link rel="stylesheet" href="{{asset('assets3/vendor/animate.css/animate.min.css')}}">
<link rel="stylesheet" href="{{asset('assets3/vendor/sweetalert2/dist/sweetalert2.min.css')}}">

<link rel="stylesheet" href="{{asset('assets3/vendor/datatables.net-bs4/css/dataTables.bootstrap4.min.css')}}">
<link rel="stylesheet" href="{{asset('assets3/vendor/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css')}}">
<link rel="stylesheet" href="{{asset('assets3/vendor/datatables.net-select-bs4/css/select.bootstrap4.min.css')}}">
@endsection

@section('dialogs')
@endsection

@section('content')
<div class="header">
    <h6 class="h2 mb-0 mt-3">لیست گروه بندی دسترسی ها</h6>
    <div class="container-fluid">
        <div class="header-body">
            <div class="row align-items-center py-4">
                <div class="col-12">
                    <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                        <ol class="breadcrumb breadcrumb-links">
                            <li class="breadcrumb-item"><a href="{{url('/admin')}}"><i class="fas fa-home"></i></a></li>
                            <li class="breadcrumb-item active" aria-current="page">لیست گروه بندی دسترسی ها</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="col">
    <div class="card">
        <div class="card-body py-0 px-3">
            <div class="col-12 p-0 py-3 d-flex align-items-center justify-content-between">
                @can('role.add')
                <a class="btn_add btn btn-success" href="{{url('admin/roles/create')}}"><i class="far fa-plus"></i> گروه بندی دسترسی جدید </a>
                @endcan
                <div class="d-flex">
                    <select class="form-control form-control-alternative w-auto" name="status_filter">
                        <option value="" selected>همه وضعیت ها</option>
                        <option value="1" {{isset($status_filter)&&$status_filter==1 ? 'selected' : ''}}>غیرفعال</option>
                        <option value="0" {{isset($status_filter)&&$status_filter==0 ? 'selected' : ''}}>فعال</option>
                    </select>
                </div>
            </div>
            <div class="table-responsive">
                <div class="table-responsive pb-4">
                    <table class="table table-flush" id="datatable">
                        <thead class="thead-light">
                            <tr>
                                <th>ردیف</th>
                                <th>سطح دسترسی</th>
                                <th>زمان ثبت</th>
                                <th>وضعیت</th>
                                <th>عملیات</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = ($roles->currentpage()-1) * $roles->perpage(); $i++; ?>
                            @foreach($roles as $role)
                            <tr row-id="{{$role->id}}" has_relation="{{$role->has_relation}}" name="{{$role->name}}">
                                <td>{{$i++}}</td>
                                <td>{{$role->name}}</td>
                                <td dir="ltr">{{Morilog\Jalali\Jalalian::forge($role->created_at)->format('%Y/%m/%d H:i')}}</td>
                                <td>
                                    @if($role->disable == 0)
                                        <span class="badge badge-pill badge-success" ban>فعال</span>
                                    @else
                                        <span class="badge badge-pill badge-danger" ban>غیرفعال</span>
                                    @endif
                                </td>
                                <td>
                                    @can('role.edit') <a class="table-action text-info" data-toggle="tooltip" data-original-title="ویرایش" href="{{url('admin/roles/'.$role->id.'/edit')}}"><i class="far fa-edit"></i></a> @endcan
                                    @can('role.delete') <a class="table-action btn_delete text-danger" data-toggle="tooltip" data-original-title="حذف" row-id="{{$role->id}}"><i class="far fa-trash-alt"></i></a> @endcan
                                    @can('role.disable')
                                        <a class="table-action btn_disable text-warning" data-toggle="tooltip" data-original-title="فعال سازی و غیر فعال سازی" row-id="{{$role->id}}" name="{{$role->name}}" status="{{$role->disable}}">
                                            @if($role->disable == 0) <i class="far fa-ban"></i> @else <i class="far fa-check"></i> @endif
                                        </a>
                                    @endcan
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-12">
                <?php
                    $append_array = [];
                    if(isset($search) && !empty($search)){ $append_array['search'] = $search; }
                    if(isset($status_filter)){ $append_array['status_filter'] = $status_filter; }
                ?>
                {{$roles->appends($append_array)->links()}}
            </div>
        </div>
    </div>
</div>
@endsection

@section('javascript')
<script src="{{asset('assets3/vendor/sweetalert2/dist/sweetalert2.min.js')}}"></script>
<script src="{{asset('assets3/vendor/bootstrap-notify/bootstrap-notify.min.js')}}"></script>

<script src="{{asset('assets3/vendor/datatables.net/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets3/vendor/datatables.net-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
<script src="{{asset('assets3/vendor/datatables.net-buttons/js/dataTables.buttons.min.js')}}"></script>
<script src="{{asset('assets3/vendor/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js')}}"></script>
<script src="{{asset('assets3/vendor/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>
<script src="{{asset('assets3/vendor/datatables.net-buttons/js/buttons.flash.min.js')}}"></script>
<script src="{{asset('assets3/vendor/datatables.net-buttons/js/buttons.print.min.js')}}"></script>
<script src="{{asset('assets3/vendor/datatables.net-select/js/dataTables.select.min.js')}}"></script>

@if(session()->has('action_status'))
<?php $status = json_decode(session()->get('action_status'))?>
<script>
    $(document).ready(function () {
        notify_setting.type = '<?=$status->type?>';
        $.notify({
            icon: '<?=$status->icon?>',
            title: '<?=$status->title?>',
            message: '<?=$status->message?>'
        }, notify_setting);
    });
</script>
@endif

<script>
    var table = $('#datatable').DataTable({
        paging: false, pageLength: 200,
        fixedHeader: true, responsive: true,
        "sDom": 'rtip',
        columnDefs: [{
            targets: 'no-sort', orderable: false
        }],
        //"order": [[0, "desc"]],
        "language": {
            "infoEmpty": "",
            "info": "نمایش _START_ تا _END_ ردیف (از _TOTAL_ رکورد)",
            "emptyTable": "اطلاعاتی برای نمایش وجود ندارد"
        }
    });
    $('#key-search').on('keyup', function () {
        table.search(this.value).draw();
    });
    $('.navbar-search input').attr('placeholder','جستجو گروه بندی دسترسی ها');
    @cannot('role.browse') $('.navbar-search').remove(); @endcannot

    $('.btn_delete').click(function(){
        var record_id = $(this).attr('row-id');
        var elm = $('.dataTable tr[row-id="'+record_id+'"]');
        var name = elm.attr('name');
        var has_relation = elm.attr('has_relation');

        var question = has_relation==1 ? `پیش از حذف دسترسی "${name}" لازم است تا دسترسی دیگری به ادمین های دارای این دسترسی اختصاص دهید` : `آیا "${name}" حذف شود؟`;
        var confirmButtonText = has_relation==1 ? 'اختصاص دسترسی' : 'بله';
        var cancelButtonText = has_relation==1 ? 'لغو' : 'خیر';
        Swal.fire({
            title: "", text: question, type: "question", showCancelButton: true, buttonsStyling: false,
            confirmButtonClass: "btn btn-danger m-1", confirmButtonText: confirmButtonText,
            cancelButtonClass: "btn btn-secondary m-1", cancelButtonText: cancelButtonText
        }).then((result)=>{
            if(result.value){
                if(has_relation==1){
                    window.location.href = "{{url('admin/roles')}}/"+record_id+"/transform";
                }else{
                    load_screen(true);
                    $.ajax({
                        url: "{{url('admin/roles')}}/"+record_id, type: "delete", cache: false, contentType: false, processData: false,
                        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
                        complete: function(response){
                            load_screen(false);
                            response = JSON.parse(response.responseText);
                            if(response.success){
                                table.row(elm).remove().draw();
                                notify_setting.type = 'success';
                                $.notify({
                                    icon: 'fad fa-trash', title: '',
                                    message: `${name} حذف شد`,
                                },notify_setting);
                            }else{
                                notify_setting.type = 'danger';
                                $.notify({
                                    icon: 'fad fa-info', title: '',
                                    message: response.error, 
                                },notify_setting);
                            }
                        },
                        success: function(data){},
                    });
                }
            }
        });
    });

    $('.btn_disable').click(function(){
        var btn = $(this);
        var name = $(this).attr('name');
        var status = $(this).attr('status');
        var record_id = $(this).attr('row-id');
        var elm = $('.dataTable tr[row-id="'+record_id+'"]');
        var question = status==1 ? `آیا دسترسی "${name}" فعال شود؟` : `آیا دسترسی "${name}" غیرفعال شود؟`;
        Swal.fire({
            title: "", text: question, type: "question", showCancelButton: true, buttonsStyling: false,
            confirmButtonClass: "btn btn-danger m-1", confirmButtonText: "بله",
            cancelButtonClass: "btn btn-secondary m-1", cancelButtonText: "خیر"
        }).then((result)=>{
            if(result.value){
                load_screen(true);
                $.ajax({
                    url: "{{url('admin/roles')}}/"+record_id+"/disable", type: "post", dataType: "json", cache: false, contentType: false, processData: false,
                    headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
                    complete: function(response){
                        load_screen(false);
                        response = JSON.parse(response.responseText);
                        if(response.success){
                            switch(response.state){
                                case 1:
                                    elm.children('td:nth-child('+(elm.children('td').length-1)+')').find('.badge[ban]').removeClass('badge-success').addClass('badge-danger').text('غیرفعال');
                                    btn.html('<i class="far fa-check"></i>');
                                    btn.attr('status',1);
                                    notify_setting.type = 'danger';
                                    $.notify({
                                        icon: 'fad fa-ban', title: '',
                                        message: 'دسترسی '+response.model.name+' غیرفعال شد',
                                    },notify_setting);
                                    break;
                                case 0:
                                    elm.children('td:nth-child('+(elm.children('td').length-1)+')').find('.badge[ban]').removeClass('badge-danger').addClass('badge-success').text('فعال');
                                    btn.html('<i class="far fa-ban"></i>');
                                    btn.attr('status',0);
                                    notify_setting.type = 'success';
                                    $.notify({
                                        icon: 'fad fa-check', title: '',
                                        message: 'دسترسی '+response.model.name+' فعال شد',
                                    },notify_setting);
                                    break;
                            }
                        }else{
                            Swal.fire({title: '', text: response.error, type: "error", confirmButtonText: "خٌب", confirmButtonClass: "btn btn-outline-default", buttonsStyling: false});
                        }
                    },
                    success: function(data){},
                    error: function(data){
                        if(data.status == 403){
                            notify_setting.type = 'danger';
                            $.notify({
                                icon: 'fad fa-info', title: '', message: 'شما به این قسمت دسترسی ندارید',
                            },notify_setting);
                        }
                    }
                });
            }
        });
    });

    $('select[name="status_filter"]').change(function(){
        var status_filter = $(this).val();

        var url = window.location.href+'?';
        window.location.href = url.slice(0,url.indexOf('?'))+'?status_filter='+status_filter;
    });

</script>
@endsection

Resources/views/roles/transform.blade.php
@extends('admin::templates.admin3')

@section('css')
<link rel="stylesheet" href="{{asset('assets3/vendor/sweetalert2/dist/sweetalert2.min.css')}}">
<link rel="stylesheet" href="{{asset('assets3/vendor/select2/dist/css/select2.min.css')}}">
@endsection

@section('dialogs')
@endsection

@section('content')
<div class="header">
    <h6 class="h2 mb-0 mt-3">تغییر دسترسی ادمین</h6>
    <div class="header-body">
        <div class="col-12 py-4">
            <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                <ol class="breadcrumb breadcrumb-links">
                    <li class="breadcrumb-item"><a href="{{url('/admin')}}"><i class="fas fa-home"></i></a></li>
                    <li class="breadcrumb-item"><a href="{{url('/admin/roles')}}">لیست گروه بندی دسترسی ها</a></li>
                    <li class="breadcrumb-item active" aria-current="page">تغییر دسترسی ادمین</li>
                </ol>
            </nav>
        </div>
    </div>
</div>
<div class="card bg-gradient-secondary shadow">
    <div class="card-body" name="transform_section">
        <h4 class="h4">به هر کدام از ادمین های زیر چه دسترسی اختصاص داده شود؟</h4>
        @foreach($admins as $admin)
        <div class="form-row mb-3">
            <div class="col-md-12">
                <label class="form-control-label" fa_name="{{$admin->name.' '.$admin->family}}">{{$admin->name.' '.$admin->family}}</label>
                <select class="form-control form-control-alternative" name="{{$admin->username}}" admin_id="{{$admin->id}}" tabindex="-1" aria-hidden="true">
                    <option value="" selected>یک گزینه را انتخاب کنید</option>
                    @foreach($roles as $role)
                        <option value="{{$role->name}}">{{$role->name}}</option>
                    @endforeach
                </select>
            </div>
        </div>
        @endforeach
    </div>
    <div class="card-footer">
        <button class="btn btn-warning btn-air btn_add_confirm font-20" type="button">حذف دسترسی</button>
    </div>
</div>
@endsection

@section('javascript')
<script src="{{asset('assets3/vendor/sweetalert2/dist/sweetalert2.min.js')}}"></script>
<script src="{{asset('assets3/vendor/select2/dist/js/select2.min.js')}}"></script>
<script>
    $('.navbar-search').remove();


    var form_data = new FormData();

    $('.btn_add_confirm').click(function(){
        var is_ok = true;
        var transform_list = {};
        $('.card-body[name="transform_section"] .form-row').each(function(index){
            var select = $(this).find('select');
            var username = select.attr('name');
            if(select.val() != ''){
                transform_list[select.attr('admin_id')] = select.val();
            }else{
                is_ok = false;
                notify_setting.type = 'danger';
                $.notify({
                    icon: 'fad fa-info', title: '',
                    message: `به ادمین "${username}" چه دسترسی داده شود`,
                },notify_setting);
            }
        });
        
        if(is_ok){
            form_data.append('_token',$('meta[name=csrf-token]').attr('content'));
            form_data.append('transform_list',JSON.stringify(transform_list));
            load_screen(true);
            $.ajax({
                url: "{{url('admin/roles/'.$role_id.'/transform')}}", type: "post", data: form_data, dataType: "text", cache: false, contentType: false, processData: false,
                complete: function(response){
                    load_screen(false);
                    response = JSON.parse(response.responseText);
                    if(response.success){
                        window.location.href = "{{url()->previous()}}";
                    }else{
                        //if(response.error){swal({title: '', text: response.error, type: "error", confirmButtonText: "خٌب", confirmButtonClass: "btn btn-outline-default", buttonsStyling: false});}
                        notify_setting.type = 'danger';
                        $.notify({
                            icon: 'fad fa-info',
                            title: '',
                            message: response.error, 
                        },notify_setting);
                    }
                },
                success: function(data){},
                error: function(data){
                    //swal({title: data.responseText, type: "error", confirmButtonText: "خٌب"});
                }
            });
        }
    });

</script>
@endsection